import * as webpack from 'webpack';
export interface EnsureConfigHasEntryOptions {
    append?: boolean;
    entriesFilter?: string[] | ((entry: string) => boolean);
    topModuleEntries?: (string | RegExp)[];
}
export interface InModuleModuleNameTester {
    test: (entry: string) => boolean;
}
export declare type PathQueryObject = {
    [key: string]: any;
};
export declare type PathQuery = string | number | PathQueryObject;
export declare function ensureConfigHasEntry(webpackConfig: webpack.Configuration | webpack.Configuration[], entry: string | string[], entryQuery?: PathQuery | undefined, options?: EnsureConfigHasEntryOptions): void;
export declare function formatPathWithQuery(path: string, query?: PathQuery | undefined): string;
export declare function inModule(moduleName: string | InModuleModuleNameTester, entry: string): boolean;
export declare function insertEntry(obj: any, key: string, entry: string, entryQuery?: PathQuery, options?: EnsureConfigHasEntryOptions): any;
