import * as webpack from 'webpack';
export interface ConfigLoaderOptions {
    allowMissing?: boolean;
    configPath?: string;
    cwd?: string;
    require?: string | string[];
    schema?: any;
}
export interface ConfigLoaderResult {
    config: webpack.Configuration;
    configPath: string | undefined;
}
export declare const configLoader: (options?: ConfigLoaderOptions | undefined) => Promise<ConfigLoaderResult>;
